!c Description:
!c  リストの表示
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-02-05    作成
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved


module interface_list_print
 interface list_print

    subroutine list_print_comps(object)
      use prm_type, only: list_comps
      type(list_comps), pointer    :: object
      type(list_comps), pointer    :: p
    end subroutine list_print_comps

    subroutine list_print_data(object)
      use prm_type, only: list_data
      type(list_data), pointer     :: object
      type(list_data), pointer     :: p
    end subroutine list_print_data

    subroutine list_print_spl(object)
      use prm_type, only: list_spl
      type(list_spl), pointer      :: object
      type(list_spl), pointer      :: p
    end subroutine list_print_spl

 end interface
end module interface_list_print



subroutine list_print_comps(object)
  use prm_type, only: list_comps

  implicit none
  type(list_comps), pointer    :: object
  type(list_comps), pointer    :: p

   
  p => object
  do 
     if (.not. associated(p)) exit
     write(*,*) p%record
     p => p%next
  end do
  
end subroutine list_print_comps


subroutine list_print_data(object)
  use prm_type, only: list_data
  
  implicit none
  type(list_data), pointer     :: object
  type(list_data), pointer     :: p
  
   
  p => object
  do 
     if (.not. associated(p)) exit
     write(*,*) p%record
     p => p%next
  end do
  
end subroutine list_print_data



subroutine list_print_spl(object)
  use prm_type, only: list_spl
  
  implicit none
  type(list_spl), pointer     :: object
  type(list_spl), pointer     :: p

   
  p => object
  do 
     if (.not. associated(p)) exit
     write(*,*) p%record
     p => p%next
  end do
  
end subroutine list_print_spl





